﻿var Promise = require('promise');
var readJsonSync = require('read-json-sync');
var util = require('util');
var debuglog = util.debuglog ? util.debuglog('sl') : require('./alt-debug-log.js').debuglog('sl');;

module.exports = function loadCfg(configFilePath) {
	var p = new Promise(function (resolve, reject) {
		var filePath = configFilePath || './sealights.json';
        try {
			var cfg = readJsonSync(filePath);
            resolve(cfg);
            debuglog('[Sealights server: ' + cfg.server + ', proxy:' + cfg.proxy + ']');
        }
        catch (e) {
            console.log('Configuration loading failed. File: "' +filePath +'", error: ' + e);
            reject(e);
        }
    });
    return p;
};